php-ZendFramework2-Escaper-2.4.9-1.el5.remi.noarch.rpm


Advertisement

Description

php-ZendFramework2-Escaper - Zend Framework 2: Escaper Component

Distribution: CentOS 5
Repository: Les RPM de Remi i386
Package name: php-ZendFramework2-Escaper
Package version: 2.4.9
Package release: 1.el5.remi
Package architecture: noarch
Package type: rpm
Installed size: 14.34 KB
Download size: 10.17 KB
Official Mirror: rpms.famillecollet.com
The OWASP Top 10 web security risks study lists Cross-Site Scripting (XSS) in second place. PHP’s sole functionality against XSS is limited to two functions of which one is commonly misapplied. Thus, the Zend\Escaper component was written. It offers developers a way to escape output and defend from XSS and related vulnerabilities by introducing contextual escaping based on peer-reviewed rules.

Provides

  • php-ZendFramework2-Escaper = 2.4.9-1.el5.remi
  • php-composer(zendframework/zend-escaper) = 2.4.9

    Download

    Source package: php-ZendFramework2-2.4.9-1.el5.remi.src.rpm

    Install Howto

    1. Download the latest remi-release rpm from
      http://rpms.famillecollet.com/enterprise/5/remi/i386/
    2. Install remi-release rpm:
      # rpm -Uvh remi-release*rpm
    3. Install php-ZendFramework2-Escaper rpm package:
      # yum --enablerepo=remi install php-ZendFramework2-Escaper

    Files

    • /usr/share/doc/php-ZendFramework2-Escaper-2.4.9/CONTRIBUTING.md
    • /usr/share/doc/php-ZendFramework2-Escaper-2.4.9/README.md
    • /usr/share/doc/php-ZendFramework2-Escaper-2.4.9/composer.json
    • /usr/share/php/Zend/Escaper/Escaper.php
    • /usr/share/php/Zend/Escaper/Exception/ExceptionInterface.php
    • /usr/share/php/Zend/Escaper/Exception/InvalidArgumentException.php
    • /usr/share/php/Zend/Escaper/Exception/RuntimeException.php
    Advertisement
    Advertisement